
Summary: Easy Enabler of VNC remote LTSP desktops
Name:	 vnc-ltsp-config
Version: 4.0
Release: 14%{?dist}

License: GPLv2+ 
Group: 	 User Interface/X
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# VNC terminal service support
Source0: vncts.xinetd
# Xvnc wrapper
Source2: vncts.sh
# Xvnc default options
Source3: vncts.sysconfig

Requires: vnc-server >= %{version}
Requires: xinetd

Requires(preun): chkconfig

%description
Easy Enabler of VNC remote LTSP desktops.  This package contains xinetd.d
configurations that allow incoming VNC clients to open a new desktop session
with each connection.  Xvnc connects to the local server using XDMCP.


%prep
%setup -c -T


%install
rm -rf %{buildroot}

install -D -p -m644 %{SOURCE0} %{buildroot}%{_sysconfdir}/xinetd.d/vncts
install -D -p -m755 %{SOURCE2} %{buildroot}%{_bindir}/vncts
install -D -p -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/vncts


%files
%defattr(-,root,root,-)
%{_bindir}/vncts
%config(noreplace) %{_sysconfdir}/sysconfig/vncts
%config(noreplace) %{_sysconfdir}/xinetd.d/vncts


%preun
if [ $1 -eq 0 ]; then
  /sbin/chkconfig vncts off ||:
fi

%postun
# Make sure xinetd picks up changes
/sbin/service xinetd reload >/dev/null 2>&1 ||:


%clean
rm -rf %{buildroot}


%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0-5
- omit /etc/services munging (#431628)

* Wed Jan 23 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0-4
- vncts.sysconfig: remove -fp entries, use vnc defaults (#429792)
- License: GPLv2+ 
- %%config(noreplace) %%_sysconfdir/xinetd.d/vncts
- specfile cosmetics

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Oct 1 2004 Rex Dieter <rexdieter at sf.net> 0:4.0-0.fdr.2
- in-place modification of services using perl

* Tue Sep 14 2004 Rex Dieter <rexdieter at sf.net> 0:4.0-0.fdr.1
- update for vnc-4.0 (and make version match)
- rename xinetd.d service vnc -> vncts
- use vncts wrapper, so we can set global/default options (/etc/sysconfig/vncts)
- add '-fp unix/:7100' to default Xvnc options (in /etc/sysconfig/vncts)
- cleanup on uninstall.

* Fri Apr 26 2003 Warren Togami <warren@togami.com> - 0:0.0.1-2.fdr.1
- Convert and cleanup from K12LTSP

